<script lang="ts">
	import { clickOutside } from '$lib/clickOutside';
	import { fade } from 'svelte/transition';

	export let label: string = '';
	export let value: string | number = '';
	export let type: string = 'text';
	export let name: string = '';

	const activeLabelClass = '';

	export let active: boolean = false;

	function typeAction(node: any) {
		node.type = type;
	}

	function handleClickOutside(event) {
		active = false;
	}
</script>

<!-- svelte-ignore a11y-no-static-element-interactions -->
<!-- svelte-ignore a11y-click-events-have-key-events -->
<div
	class="flex flex-col w-full relative text-black"
	on:click={() => (active = true)}
	use:clickOutside
	on:click_outside={handleClickOutside}
	on:focus={() => (active = true)}
>
	{#if active || type == 'date' || type == 'number' || value != ''}
		<label
			class="text-sm font-medium absolute -top-2 left-2 z-10 text-light-surface-800 bg-light-surface-500 px-2"
			for={label}
			in:fade
		>
			{label}
		</label>
	{/if}
	<input
		class={'w-full rounded-lg border border-primary-500 p-3 bg-light-surface-500'}
		use:typeAction
		id={label}
		bind:value
		placeholder={active ? '' : label}
		{name}
		on:change
		on:input
	/>
</div>
